Patchwork libsoup-2.4: add intltool-native to DEPENDS

login
register
mail settings
Submitter Paul Eggleton
Date Dec. 17, 2013, 10:42 a.m.
Message ID <1387276932-26461-1-git-send-email-paul.eggleton@linux.intel.com>
Download mbox | patch
Permalink /patch/63459/
State New
Headers show

Comments

Paul Eggleton - Dec. 17, 2013, 10:42 a.m.
The configure script looks for this; most of the time dependency chains
ensure this is present but we need to be explicit or failures can
occur.

Reported by Nicolas Dechesne <nicolas.dechesne@linaro.org>

Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
---
 meta/recipes-support/libsoup/libsoup-2.4_2.44.2.bb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Javier Viguera - Dec. 19, 2013, 10:47 a.m.
On 17/12/13 11:42, Paul Eggleton wrote:
> -DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
> +DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3 intltool-native"

+1 for this change.

I was bitten by this bug using a DISTRO with no X11 support (removed X11 
from DISTRO_FEATURES). In that case the 'intltool-native' dependence is 
not fulfilled and libsoup fails to build.

Could it be *backported* to Dora/Dylan?

-
Javier Viguera
Software Engineer
Digi International® Spain S.A.U.
Nicolas Dechesne - Dec. 19, 2013, 10:54 a.m.
On Thu, Dec 19, 2013 at 11:47 AM, Javier Viguera <javier.viguera@digi.com>wrote:

> On 17/12/13 11:42, Paul Eggleton wrote:
>
>> -DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
>> +DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3 intltool-native"
>>
>
> +1 for this change.
>
> I was bitten by this bug using a DISTRO with no X11 support (removed X11
> from DISTRO_FEATURES). In that case the 'intltool-native' dependence is not
> fulfilled and libsoup fails to build.
>
> Could it be *backported* to Dora/Dylan?


it will. Paul said on IRC the other day, that it should reach dylan by the
end of this week .
Paul Eggleton - Dec. 19, 2013, 12:07 p.m.
On Thursday 19 December 2013 11:54:14 Nicolas Dechesne wrote:
> On Thu, Dec 19, 2013 at 11:47 AM, Javier Viguera
> <javier.viguera@digi.com>wrote:
> > On 17/12/13 11:42, Paul Eggleton wrote:
> >> -DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
> >> +DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3 intltool-native"
> > 
> > +1 for this change.
> > 
> > I was bitten by this bug using a DISTRO with no X11 support (removed X11
> > from DISTRO_FEATURES). In that case the 'intltool-native' dependence is
> > not
> > fulfilled and libsoup fails to build.
> > 
> > Could it be *backported* to Dora/Dylan?
> 
> it will. Paul said on IRC the other day, that it should reach dylan by the
> end of this week .

FYI It's now merged in dylan thanks to Richard. I've also sent a patch for 
dora (cc'd to Robert).

Cheers,
Paul

Patch

diff --git a/meta/recipes-support/libsoup/libsoup-2.4_2.44.2.bb b/meta/recipes-support/libsoup/libsoup-2.4_2.44.2.bb
index 5edbb09..3325939 100644
--- a/meta/recipes-support/libsoup/libsoup-2.4_2.44.2.bb
+++ b/meta/recipes-support/libsoup/libsoup-2.4_2.44.2.bb
@@ -7,7 +7,7 @@  LIC_FILES_CHKSUM = "file://COPYING;md5=5f30f0716dfdd0d91eb439ebec522ec2"
 
 SECTION = "x11/gnome/libs"
 
-DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
+DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3 intltool-native"
 
 # libsoup-gnome is entirely deprecated and just stubs in 2.42 onwards.  Enable
 # by default but let it be easily disabled.